/**
 * @file uartio.h
 * @brief Cabecera del driver UARTIO.
 */
#ifndef UARTIO_H_
#define UARTIO_H_

#include <stdint.h>
#include <stdbool.h>

bool UARTIO_Init(uint32_t uartId, uint32_t baudRate);
int UARTIO_Printf(int uartId, const char *checkString, const char *format, ...);
int UARTIO_Printfln(int uartId, const char *checkString, const char *format, ...);
int UARTIO_Scanf(int uartId, int delayms, char *message);
char* UARTIO_Str(int uartId, int timeoutms, const char *string);

#endif /* UARTIO_H_ */
